GrailsTestRequestEnvironmentInterceptor (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.support

## [Groovy] Class GrailsTestRequestEnvironmentInterceptor

- org.codehaus.groovy.grails.test.support.GrailsTestRequestEnvironmentInterceptor

- Establishes a “mock” request environment suitable for running tests in.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `DEFAULT_CONTROLLER_NAME`
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestRequestEnvironmentInterceptor (org.springframework.context.ApplicationContext applicationContext)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `destroy()` Removes the mock request environment
    `void` | `doInRequestEnvironment(groovy.lang.Closure body)` Passes `body` to `doInRequestEnvironment(String,Closure)` with the `DEFAULT_CONTROLLER_NAME`.
    `void` | `doInRequestEnvironment(java.lang.String controllerName, groovy.lang.Closure body)` Calls `init()` before and `destroy()` after invoking `body`.
    `void` | `init(java.lang.String controllerName = DEFAULT_CONTROLLER_NAME)` Establishes a mock request environment

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String DEFAULT_CONTROLLER_NAME

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Constructor Detail

    - #### GrailsTestRequestEnvironmentInterceptor(org.springframework.context.ApplicationContext applicationContext)

  - ### Method Detail

    - #### void destroy()

      Removes the mock request environment

    - #### void doInRequestEnvironment(groovy.lang.Closure body)

      Passes `body` to `doInRequestEnvironment(String,Closure)` with the `DEFAULT_CONTROLLER_NAME`.

    - #### void doInRequestEnvironment(java.lang.String controllerName, groovy.lang.Closure body)

      Calls `init()` before and `destroy()` after invoking `body`.

    - #### void init(java.lang.String controllerName = DEFAULT_CONTROLLER_NAME)

      Establishes a mock request environment